CXXFLAGS += $(RUBY_CXXFLAGS)

INCLUDES = -I$(top_srcdir)/smoke -I$(top_srcdir)/qtruby/rubylib/qtruby $(all_includes) -I$(RUBY_ARCHDIR) $(RUBY_CFLAGS)

rubylibdir = $(RUBY_ARCHDIR)
rubylib_LTLIBRARIES = tqui.la
tqui_la_SOURCES = tqui.cpp
tqui_la_LDFLAGS = -module -export-dynamic $(all_libraries) -version-info 0:0:0
tqui_la_LIBADD = -ltqui $(LIB_TQT) $(RUBY_LIBRUBYARG) $(top_builddir)/smoke/tqt/libsmoketqt.la $(top_builddir)/qtruby/rubylib/qtruby/libtqtrubyinternal.la
